GNU bug report logs - #59883
Eglot gopls failed to connect

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Johann Höchtl <johann.hoechtl@HIDDEN>; dated Wed, 7 Dec 2022 13:51:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 59883 <at> debbugs.gnu.org:


Received: (at 59883) by debbugs.gnu.org; 12 Dec 2022 07:46:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 12 02:46:53 2022
Received: from localhost ([127.0.0.1]:51165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p4dWX-0001la-3F
	for submit <at> debbugs.gnu.org; Mon, 12 Dec 2022 02:46:53 -0500
Received: from mail-oo1-f51.google.com ([209.85.161.51]:44024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1p4dWV-0001lM-Oo
 for 59883 <at> debbugs.gnu.org; Mon, 12 Dec 2022 02:46:52 -0500
Received: by mail-oo1-f51.google.com with SMTP id
 t15-20020a4a96cf000000b0049f7e18db0dso1663229ooi.10
 for <59883 <at> debbugs.gnu.org>; Sun, 11 Dec 2022 23:46:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:mime-version:references:in-reply-to:from
 :from:to:cc:subject:date:message-id:reply-to;
 bh=QGpBwaV9eTDH1zRJgt+Q6JTsk8D912dISuxk16UvDlo=;
 b=Ga89lR0vnrfgIeHtNRGgeBCZ3owjg2JS2ynB+3Stb86E3h/BPkzlJ0qMTwBsV8lrwV
 uNPvnkyBrTpRzZgT/to06Y2uDbVUIZviuZvVHwg/ebdCmDmnteyGSMCyRFKN1AfcwdQc
 SwkBPJMKrtMePSLFC1HOdzWRoT7sBn0oRBY/5WUsMZYNy+OSUfEVkMKxrq5xah08ojFn
 3vaseAbyvOEmd917U6vdURQDdA96h/depQmBzuFL8SlJPoC1CKMZcWukkcMg9PMC246S
 t5Sev30qYW+ItlnCGnGAC3TEuyYyGvDbddYI9Acz3TrjGpXbg+22I5CK9X7HRUJf/Z8d
 OMpA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:mime-version:references:in-reply-to:from
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=QGpBwaV9eTDH1zRJgt+Q6JTsk8D912dISuxk16UvDlo=;
 b=i0LCyLKICAAl8AYw9VseqJgMwUdrTCehYOiC9v2YcaFk8a2BtocVSQwT+L4q+2L9Vj
 VgumDnoKLXHgstdsj+haaJMLWpi/WTMxoHI0010g+eZraLA0BzQTK2fL4POvc2xJGhti
 9G3DihL4K32QI1MHIpBHFMHcYo4c2LqeZLC9+pRNkZNRxC9nCZMZytJd5gW7KPD9T5Sp
 biNmmtPej2/l5RofdJehGLAYHGTcq5c8BlFxtTQbwxwr111nnDt/9WQFyGa5EE2tfnqn
 GatQHz645msqVMl9mLj9XUUI0jKoIIyggMkAgaUfKnOMZPDQK5P8Dt4wYvIGPn4KMSaG
 H0Jg==
X-Gm-Message-State: ANoB5pkQzkaRGPjvfCZhi0p5ZITFFS/KPcWMwHvNtMqZdgI6Hf57lOsB
 rtb8eO0IGluUp8avi28453wB9IQElLqZqWkCa8c=
X-Google-Smtp-Source: AA0mqf6KgrGJMMy/8wH2MchyDMLZ2swbqts03nZ0rgqPMlI+QhloG6F5eI+KDLLXZy00D+R/L3L5kK8ZPDEvI2acYs0=
X-Received: by 2002:a4a:972e:0:b0:4a3:5a51:ba94 with SMTP id
 u43-20020a4a972e000000b004a35a51ba94mr4325616ooi.5.1670831206116; Sun, 11 Dec
 2022 23:46:46 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 11 Dec 2022 23:46:45 -0800
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <CAH4isRywxVB7Tocyig5+JguBbqOLf4OHhG1HFwhzNbenfLkNxg@HIDDEN>
References: <CAH4isRxzz-tCwMuLc5ZeKmW1JRsuduyzyy9znYP8KCDTRAKq0Q@HIDDEN>
 <CAH4isRwWOiLPLVGXL=aJ+73cnFpOas8c7qDNTnzOaZE0nZ3fGw@HIDDEN>
 <CAH4isRywxVB7Tocyig5+JguBbqOLf4OHhG1HFwhzNbenfLkNxg@HIDDEN>
X-Hashcash: 1:20:221212:59883 <at> debbugs.gnu.org::CHE12iDSOwAoGqkC:2LaC
MIME-Version: 1.0
Date: Sun, 11 Dec 2022 23:46:45 -0800
Message-ID: <CADwFkmk2v2p-G8sinJ5TbQTK83o7avOfn+8LU1e1eHuhh=o-AA@HIDDEN>
Subject: Re: bug#59883:
To: =?UTF-8?Q?Johann_H=C3=B6chtl?= <johann.hoechtl@HIDDEN>, 
 59883 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59883
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 59883
thanks

> Sorry, this bug has to be re-opened.

Now done.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59883; Package emacs. Full text available.

Message received at 59883 <at> debbugs.gnu.org:


Received: (at 59883) by debbugs.gnu.org; 12 Dec 2022 07:14:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 12 02:14:02 2022
Received: from localhost ([127.0.0.1]:51014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p4d0j-0001MJ-Vf
	for submit <at> debbugs.gnu.org; Mon, 12 Dec 2022 02:14:02 -0500
Received: from mail-oi1-f172.google.com ([209.85.167.172]:43554)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johann.hoechtl@HIDDEN>) id 1p4d0i-0001Lv-6v
 for 59883 <at> debbugs.gnu.org; Mon, 12 Dec 2022 02:14:00 -0500
Received: by mail-oi1-f172.google.com with SMTP id s187so10400263oie.10
 for <59883 <at> debbugs.gnu.org>; Sun, 11 Dec 2022 23:14:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:in-reply-to:references:mime-version
 :from:to:cc:subject:date:message-id:reply-to;
 bh=yBTzfVPgVyFjZFVwyYbjrzO0oMs04DFL9L7YF40iVZE=;
 b=q0SO081UnGxsyfJbNdh3pj6oqF+g5p4ThreNPsmZl/fmaCkA90v3bAJf9dxKem48+Y
 BeJKl6yh0ij4bjiKzlUj82a5teXXSuJxtqGESuqTP0naHSBfvLF901DPeZzcCVpgUCYM
 EjsJymIlkbiqv+2gTEVn47x0hZioNpSpz8VqwM4FiKlw+NnPQ14oc+gVhzuRRnC++Npb
 aNinpAT2mhBqtQ1dik3VN5+8xc8afc8nwlG9cYS1yeBXyzpRRjO2AFy97sFPKEgdQVXn
 SBJScFa+d6kxV4HMiK9W3Y9RcHsLPwGw+PsmYublL1E/0pH/1rDTFepu5Rt8hnd6GR8p
 vP0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:in-reply-to:references:mime-version
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=yBTzfVPgVyFjZFVwyYbjrzO0oMs04DFL9L7YF40iVZE=;
 b=qKvpJjVSogtDmyr52zcmi77Srt+IUC13gwSyJHpvSWBED1TVxyP0pY2VXYeAtLMeEz
 jfR73OHcxvU6ZCoarf1+4mzHi+9pfL7xQjAZ3ZAXG1TKXqu/7ainzZJ1H+DgiRdmCWAr
 W7GNV/2G2/4saJfpLnpX4MJfnZ0OGrXW/NCSiqjHAImlRW/dy0x7SoItT1ToZfpUzTUp
 Her/MrxIJAli7hBpzZlH4vYdKSsUj9Q78P0iupqUWK9n5NcHqAJQHNpXuwkFM9S8xHIQ
 AlEZ+pFKdMwcM+oVSYJ3IB58wF2R7+FHTN3hKjPK6QMqInnRDFAvY0VL1sZs49NWThuT
 HPUg==
X-Gm-Message-State: ANoB5pm9X5MxwiC/Eh8x0/qkfOr4DDTcdtfPAxmO0EGwM+5DU2kdCicl
 KFzP8PPWgms+tnLn7picZkER11ZnI2RJJBa8KbJeJI8=
X-Google-Smtp-Source: AA0mqf7rZoHwSfR4XeHpPRtJqwOv6XdMbwUzeRTAtoy0okwYtw0mHhzLKYgXsZYnIIn940tAsuCGr5e9k6QKiV6w3P8=
X-Received: by 2002:a54:4612:0:b0:35b:cebf:b078 with SMTP id
 p18-20020a544612000000b0035bcebfb078mr19304367oip.24.1670829232814; Sun, 11
 Dec 2022 23:13:52 -0800 (PST)
MIME-Version: 1.0
References: <CAH4isRxzz-tCwMuLc5ZeKmW1JRsuduyzyy9znYP8KCDTRAKq0Q@HIDDEN>
 <CAH4isRwWOiLPLVGXL=aJ+73cnFpOas8c7qDNTnzOaZE0nZ3fGw@HIDDEN>
In-Reply-To: <CAH4isRwWOiLPLVGXL=aJ+73cnFpOas8c7qDNTnzOaZE0nZ3fGw@HIDDEN>
From: =?UTF-8?Q?Johann_H=C3=B6chtl?= <johann.hoechtl@HIDDEN>
Date: Mon, 12 Dec 2022 08:13:42 +0100
Message-ID: <CAH4isRywxVB7Tocyig5+JguBbqOLf4OHhG1HFwhzNbenfLkNxg@HIDDEN>
Subject: Re:
To: 59883 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000e6fe8a05ef9c3e98"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59883
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000e6fe8a05ef9c3e98
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Sorry, this bug has to be re-opened. I was confident that the described
"work-around" is stable, yet it's not. Eglot was working consistently
yesterday just to find it non-working today with the same errors.

Am So., 11. Dez. 2022 um 14:24 Uhr schrieb Johann H=C3=B6chtl <
johann.hoechtl@HIDDEN>:

> I found a solution. Quick: For some reason when opening a go file using
> go-mode, Emacs/eglot generates a "textDocument/didOpen" server message.
> Now the correct reaction of a LS upon such a message in a chase where the
> file actually did not change remains disputable:
>
> https://github.com/golang/go/issues/50267
> https://github.com/neovim/neovim/issues/16623
>
> However, the gopls-team considered a "chatty" behavior of the language
> server to be better anyhow. To always send diagnostics is now the default=
,
> yet not released as of gopls 1.10.1
>
>
> https://github.com/golang/tools/commit/ec743893cd01c9423aaae4513b092c4c4c=
06f0f4
> https://groups.google.com/g/golang-checkins/c/tt8Ig_UsKtE
>
> To use the yet unreleased feature from gopls@HEAD which works, follow
>
>
> https://github.com/golang/tools/blob/master/gopls/doc/advanced.md#unstabl=
e-versions
>
> This bug report may be closed, reported for reference.
>
>
> Am So., 11. Dez. 2022 um 13:45 Uhr schrieb Johann H=C3=B6chtl <
> johann.hoechtl@HIDDEN>:
>
>> I dug deeper into the problem:
>>
>> * When I open a very small golang-project, eglot interconnects correctly
>> with gopls
>> * When I open a larger golang-project, eglot fails to communicate with
>> gopls. In fact, it fails to direct gopls to load the project as gopls st=
ays
>> at a very small memory footprint.
>>
>> When I uninstall go-mode OR find-file-literally *.go and later enable
>> eglot, gopls  is correctly "directed" to load the project, because memor=
y
>> consumption is much higher. In this case it also reports back to eglot
>> "loading packages" and "finished loading packages".
>>
>> Sidenote: However I cannot interact any further with the LS as eglot
>> doens't consider any buffer as managed:
>>
>> cl-no-applicable-method: No applicable method: eglot--managed-buffers, n=
il
>> eldoc error: (jsonrpc-error No current JSON-RPC connection
>> (jsonrpc-error-code . 32603) (jsonrpc-error-message . No current JSON-RP=
C
>> connection))
>> mouse-minibuffer-check: Minibuffer window is not active
>>
>> but I guess this is because the buffer has no mode eglot considers to be
>> supported.
>>
>> Sidenote2: If I enable go-mode for this buffer (thus triggering
>> eglot-ensure in .emacs) , a second gopls process is spawned yet without
>> communication between eglot and gopls.
>>
>

--000000000000e6fe8a05ef9c3e98
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Sorry, this bug has to be re-opened. I was confident that =
the described &quot;work-around&quot; is stable, yet it&#39;s not. Eglot wa=
s working consistently yesterday just to find it non-working today with the=
 same errors.</div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D=
"gmail_attr">Am So., 11. Dez. 2022 um 14:24=C2=A0Uhr schrieb Johann H=C3=B6=
chtl &lt;<a href=3D"mailto:johann.hoechtl@HIDDEN">johann.hoechtl@HIDDEN=
om</a>&gt;:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px =
0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><div=
 dir=3D"ltr">I found a solution. Quick: For some reason when opening a go f=
ile using go-mode, Emacs/eglot generates a=C2=A0<span style=3D"background-c=
olor:transparent;font-family:ui-monospace,SFMono-Regular,&quot;SF Mono&quot=
;,Menlo,Consolas,&quot;Liberation Mono&quot;,monospace;color:rgb(36,41,47);=
font-size:11.9px">&quot;textDocument/didOpen&quot; server message. Now the =
correct reaction of a LS upon such a message in a chase where the file actu=
ally did not change remains disputable:</span><div><span style=3D"backgroun=
d-color:transparent;font-family:ui-monospace,SFMono-Regular,&quot;SF Mono&q=
uot;,Menlo,Consolas,&quot;Liberation Mono&quot;,monospace;color:rgb(36,41,4=
7);font-size:11.9px"><br></span></div><div><a href=3D"https://github.com/go=
lang/go/issues/50267" target=3D"_blank">https://github.com/golang/go/issues=
/50267</a><span style=3D"background-color:transparent;font-family:ui-monosp=
ace,SFMono-Regular,&quot;SF Mono&quot;,Menlo,Consolas,&quot;Liberation Mono=
&quot;,monospace;color:rgb(36,41,47);font-size:11.9px"><br></span></div><di=
v><a href=3D"https://github.com/neovim/neovim/issues/16623" target=3D"_blan=
k">https://github.com/neovim/neovim/issues/16623</a><br></div><div><br></di=
v><div>However, the gopls-team considered a &quot;chatty&quot; behavior of =
the language server to be better anyhow. To always send diagnostics is now =
the default, yet not released as of gopls 1.10.1</div><div><br></div><div><=
a href=3D"https://github.com/golang/tools/commit/ec743893cd01c9423aaae4513b=
092c4c4c06f0f4" target=3D"_blank">https://github.com/golang/tools/commit/ec=
743893cd01c9423aaae4513b092c4c4c06f0f4</a><br></div><div><a href=3D"https:/=
/groups.google.com/g/golang-checkins/c/tt8Ig_UsKtE" target=3D"_blank">https=
://groups.google.com/g/golang-checkins/c/tt8Ig_UsKtE</a><br></div><div><br>=
</div><div>To use the yet unreleased feature from gopls@HEAD which works, f=
ollow</div><div><br></div><div><a href=3D"https://github.com/golang/tools/b=
lob/master/gopls/doc/advanced.md#unstable-versions" target=3D"_blank">https=
://github.com/golang/tools/blob/master/gopls/doc/advanced.md#unstable-versi=
ons</a><br></div><div><br></div><div>This bug report may be closed, reporte=
d for reference.</div><div><br></div></div><br><div class=3D"gmail_quote"><=
div dir=3D"ltr" class=3D"gmail_attr">Am So., 11. Dez. 2022 um 13:45=C2=A0Uh=
r schrieb Johann H=C3=B6chtl &lt;<a href=3D"mailto:johann.hoechtl@HIDDEN=
" target=3D"_blank">johann.hoechtl@HIDDEN</a>&gt;:<br></div><blockquote =
class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px sol=
id rgb(204,204,204);padding-left:1ex"><div dir=3D"ltr">I dug deeper into th=
e problem:<div><br></div><div>* When I open a very small golang-project, eg=
lot interconnects correctly with gopls</div><div>* When I open a larger gol=
ang-project, eglot fails to communicate with gopls. In fact, it fails to di=
rect gopls to load the project as gopls stays at a very small memory footpr=
int.</div><div><br></div><div>When I uninstall go-mode OR find-file-literal=
ly *.go and later enable eglot,=C2=A0gopls=C2=A0 is correctly=C2=A0&quot;di=
rected&quot; to load the project, because memory consumption is much higher=
. In this case it also reports back to eglot &quot;loading packages&quot; a=
nd &quot;finished loading packages&quot;.</div><div><br></div><div>Sidenote=
: However I cannot interact any further with the LS as eglot doens&#39;t=C2=
=A0consider any buffer as managed:</div><div><br></div><div>cl-no-applicabl=
e-method: No applicable method: eglot--managed-buffers, nil<br>eldoc error:=
 (jsonrpc-error No current JSON-RPC connection (jsonrpc-error-code . 32603)=
 (jsonrpc-error-message . No current JSON-RPC connection))<br>mouse-minibuf=
fer-check: Minibuffer window is not active<br></div><div><br></div><div>but=
 I guess this is because the buffer has no mode eglot considers to be suppo=
rted.</div><div><br></div><div>Sidenote2: If I enable go-mode for this buff=
er (thus triggering eglot-ensure in .emacs) , a second gopls process is spa=
wned yet without communication between=C2=A0eglot and gopls.</div></div>
</blockquote></div>
</blockquote></div>

--000000000000e6fe8a05ef9c3e98--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59883; Package emacs. Full text available.

Message received at 59883-done <at> debbugs.gnu.org:


Received: (at 59883-done) by debbugs.gnu.org; 11 Dec 2022 18:35:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 13:35:41 2022
Received: from localhost ([127.0.0.1]:47580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p4RAr-0001ct-9N
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2022 13:35:41 -0500
Received: from mail-oi1-f175.google.com ([209.85.167.175]:37794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1p4RAp-0001cm-IX
 for 59883-done <at> debbugs.gnu.org; Sun, 11 Dec 2022 13:35:39 -0500
Received: by mail-oi1-f175.google.com with SMTP id v82so9345224oib.4
 for <59883-done <at> debbugs.gnu.org>; Sun, 11 Dec 2022 10:35:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:to:subject:message-id:date:mime-version
 :references:in-reply-to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=OBvMKgGGeDntjkcF/Ln7EsnDFPO+CMof2lnCY5yyjTA=;
 b=nstlTl0qyMPQEXtTFHbboGoQEmm4RY82tii0w0HbiIPny7C4mUdWqmbBI5y6DotqFE
 7LJ48ft7JYc9RwT2YQYC9NH1wTsIctp8ny8z8zHxtzVkOaxHbjdC8aiYR+hgEarFvL/G
 OU83zFcSO4jlg7Qlxp91xVjwTuUpSyWtypgVeOaaANIRvhNr+Qi96rpK3fRVJ49lKQ6j
 X0yxFqPnmBtPwEc4Kh4DDNLT9ke8PsfM2yAULBpQgPlsVDCCTyL2QpwLnHfSLhH0gH/Y
 BMR2MP2BE94NgLvYONuaaNIGI9Cajc/I8X/wrSzLTEenAmQPZFBz8TRzoq3uScoqzRuf
 U29Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:to:subject:message-id:date:mime-version
 :references:in-reply-to:from:x-gm-message-state:from:to:cc:subject
 :date:message-id:reply-to;
 bh=OBvMKgGGeDntjkcF/Ln7EsnDFPO+CMof2lnCY5yyjTA=;
 b=wleITlrf7T8VTUAGXnPUz7Au6ILigmPOvnRUgvyJ7v3JLcrO5gV0A8PKJ1I3y+spdc
 JkwoweeOYf1GUiovzawVnh9Mjma8v477OICAp/IQWQfmD7GyKzo42hV6mFscu1p8+i8G
 lTGwqY0PnwmR4NyJX+rBfnvzHMGS8odacBmRuxIFeKsfa6OciTC4NvkjD62bd5a2+Qup
 Db9qV6gdLzh126XS+IAJG5f8demr9tB4X5pMhzUuVmoGm7oxUgCHayrqaWKi4VHhjefn
 m/WhEGmK5qDFpWSXUQ6uMbIN7KUas5qsJ2ZA8StgLd8jQmZjJ4dGXVd3v+S0HoJaK7Tv
 NLRQ==
X-Gm-Message-State: ANoB5plvpxw4JvDVbdBHC2rZeixzx6UP6v0yUkQSZyfO8+B36Tk/RKDD
 lC8L2NtEvn1mHsIvAUtZE4p/UWWYYFYFoM//Sk4=
X-Google-Smtp-Source: AA0mqf5V7nj4+BspXVdvXGizS47QxhdSYLrGq31VRGqnbrq+/pAyzOMcffbag+sk+R5qKUKGTDelfuVhWzJq36K5f/k=
X-Received: by 2002:a05:6808:1287:b0:359:dc32:4f9e with SMTP id
 a7-20020a056808128700b00359dc324f9emr37287590oiw.92.1670783733847; Sun, 11
 Dec 2022 10:35:33 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 11 Dec 2022 10:35:33 -0800
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <CAH4isRwWOiLPLVGXL=aJ+73cnFpOas8c7qDNTnzOaZE0nZ3fGw@HIDDEN>
References: <CAH4isRxzz-tCwMuLc5ZeKmW1JRsuduyzyy9znYP8KCDTRAKq0Q@HIDDEN>
 <CAH4isRwWOiLPLVGXL=aJ+73cnFpOas8c7qDNTnzOaZE0nZ3fGw@HIDDEN>
X-Hashcash: 1:20:221211:59883-done <at> debbugs.gnu.org::vyonoDiubgzkkpZD:1xUs
MIME-Version: 1.0
Date: Sun, 11 Dec 2022 10:35:33 -0800
Message-ID: <CADwFkmnxR3yUX+FoFnNG_yi-aFAtwDenA+rr8dEanyJKnzMZEQ@HIDDEN>
Subject: Re: bug#59883:
To: =?UTF-8?Q?Johann_H=C3=B6chtl?= <johann.hoechtl@HIDDEN>, 
 59883-done <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59883-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Johann H=C3=B6chtl <johann.hoechtl@HIDDEN> writes:

> This bug report may be closed, reported for reference.

OK, closed.




Notification sent to Johann Höchtl <johann.hoechtl@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Stefan Kangas <stefankangas@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 59883 <at> debbugs.gnu.org:


Received: (at 59883) by debbugs.gnu.org; 11 Dec 2022 13:24:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 08:24:19 2022
Received: from localhost ([127.0.0.1]:46420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p4MJX-0004PD-1e
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2022 08:24:19 -0500
Received: from mail-oa1-f42.google.com ([209.85.160.42]:39623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johann.hoechtl@HIDDEN>) id 1p4MJU-0004P6-SK
 for 59883 <at> debbugs.gnu.org; Sun, 11 Dec 2022 08:24:17 -0500
Received: by mail-oa1-f42.google.com with SMTP id
 586e51a60fabf-1442977d77dso5482416fac.6
 for <59883 <at> debbugs.gnu.org>; Sun, 11 Dec 2022 05:24:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:in-reply-to:references:mime-version
 :from:to:cc:subject:date:message-id:reply-to;
 bh=yyUeuxmn/oK4Hy/NMigzS1UI9vujwW1uA9e4c60UcqY=;
 b=gLZxZPv4BrEfWtVxkyu1eQ2gKovOoT8EVzy+vXaIbgGJNslp6C7CPB7DDxfKqc37yo
 IGHXUiswU2BJt5K0rXBpmJK60tbbmiVBkOv/JEXCMXDZCBrKWzXHQICInLPvjh566Pnh
 wgx0mP5UuaHL3m1frBrr4HSEwiZR5cGvHryJFhtZsUaDRrC81BD87eAehPnD0V9HFixo
 f6ixnsBuBv+w6xwDiE8L78EVYUrGSlSGWC0s0iBDgTo4H0WJR/rlePUlGITmthXYqkcG
 LUp1I11H2FPvV6I+PRg6qxciPbF/z/Ifzzixd00zeeGJX+ZI46VZHFWwy18hgfnw73wt
 ktew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:in-reply-to:references:mime-version
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=yyUeuxmn/oK4Hy/NMigzS1UI9vujwW1uA9e4c60UcqY=;
 b=VaiUt2n8t1Ds8VOvRqsebjWCYQ6J9QTYD8eqGV+YTEFtU96WWw0gmVkWdd5TfGmOHb
 yFr/0yhq01Bqjdpc4XLRrFLX5IlMFi77xmZzfvvBS/UHOki8GJBPWHVNVziECaGXir7H
 Qra0qJoJLb6a5bMKEFMwoVx4uc6CcEHrncfTYcC9JOC5DwhivLiFrp79F5tqT/gMaCZd
 kLSPWS1seNrJ7SupDsFFynwmvuR+3vlNuL2sQW5IdUtQDWtSgO9AiuI3q5aoYhhn9aLH
 eA+nzqvVCpUGbu5EpypFACJVcVt/9mvHCFCLLqwzdIBmDvknGA7oz7JfGLEl58In8sqW
 URMw==
X-Gm-Message-State: ANoB5plX1wV1o19Zm8uFYL4RrogeFNKEkR5Xqg/Hcu/GVHmiClpw327O
 WdFj+WI9JVcncyrtJOwWtgCfarxF5MXUw56rgouZVpI8kw==
X-Google-Smtp-Source: AA0mqf7soZS3vJh7Ynley0HfDU09lQqu1bDVNg8KaSYnp1fRzIMUqp0ratzuATz7SdjQW+1NlnlTgkVG5Z0YJwt3/as=
X-Received: by 2002:a05:6870:8985:b0:144:fa85:7a83 with SMTP id
 f5-20020a056870898500b00144fa857a83mr1569456oaq.24.1670765051010; Sun, 11 Dec
 2022 05:24:11 -0800 (PST)
MIME-Version: 1.0
References: <CAH4isRxzz-tCwMuLc5ZeKmW1JRsuduyzyy9znYP8KCDTRAKq0Q@HIDDEN>
In-Reply-To: <CAH4isRxzz-tCwMuLc5ZeKmW1JRsuduyzyy9znYP8KCDTRAKq0Q@HIDDEN>
From: =?UTF-8?Q?Johann_H=C3=B6chtl?= <johann.hoechtl@HIDDEN>
Date: Sun, 11 Dec 2022 14:24:00 +0100
Message-ID: <CAH4isRwWOiLPLVGXL=aJ+73cnFpOas8c7qDNTnzOaZE0nZ3fGw@HIDDEN>
Subject: Re:
To: 59883 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000005e653d05ef8d4db2"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59883
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000005e653d05ef8d4db2
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I found a solution. Quick: For some reason when opening a go file using
go-mode, Emacs/eglot generates a "textDocument/didOpen" server message. Now
the correct reaction of a LS upon such a message in a chase where the file
actually did not change remains disputable:

https://github.com/golang/go/issues/50267
https://github.com/neovim/neovim/issues/16623

However, the gopls-team considered a "chatty" behavior of the language
server to be better anyhow. To always send diagnostics is now the default,
yet not released as of gopls 1.10.1

https://github.com/golang/tools/commit/ec743893cd01c9423aaae4513b092c4c4c06=
f0f4
https://groups.google.com/g/golang-checkins/c/tt8Ig_UsKtE

To use the yet unreleased feature from gopls@HEAD which works, follow

https://github.com/golang/tools/blob/master/gopls/doc/advanced.md#unstable-=
versions

This bug report may be closed, reported for reference.


Am So., 11. Dez. 2022 um 13:45 Uhr schrieb Johann H=C3=B6chtl <
johann.hoechtl@HIDDEN>:

> I dug deeper into the problem:
>
> * When I open a very small golang-project, eglot interconnects correctly
> with gopls
> * When I open a larger golang-project, eglot fails to communicate with
> gopls. In fact, it fails to direct gopls to load the project as gopls sta=
ys
> at a very small memory footprint.
>
> When I uninstall go-mode OR find-file-literally *.go and later enable
> eglot, gopls  is correctly "directed" to load the project, because memory
> consumption is much higher. In this case it also reports back to eglot
> "loading packages" and "finished loading packages".
>
> Sidenote: However I cannot interact any further with the LS as eglot
> doens't consider any buffer as managed:
>
> cl-no-applicable-method: No applicable method: eglot--managed-buffers, ni=
l
> eldoc error: (jsonrpc-error No current JSON-RPC connection
> (jsonrpc-error-code . 32603) (jsonrpc-error-message . No current JSON-RPC
> connection))
> mouse-minibuffer-check: Minibuffer window is not active
>
> but I guess this is because the buffer has no mode eglot considers to be
> supported.
>
> Sidenote2: If I enable go-mode for this buffer (thus triggering
> eglot-ensure in .emacs) , a second gopls process is spawned yet without
> communication between eglot and gopls.
>

--0000000000005e653d05ef8d4db2
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I found a solution. Quick: For some reason when opening a =
go file using go-mode, Emacs/eglot generates a=C2=A0<span style=3D"backgrou=
nd-color:transparent;font-family:ui-monospace,SFMono-Regular,&quot;SF Mono&=
quot;,Menlo,Consolas,&quot;Liberation Mono&quot;,monospace;color:rgb(36,41,=
47);font-size:11.9px">&quot;textDocument/didOpen&quot; server message. Now =
the correct reaction of a LS upon such a message in a chase where the file =
actually did not change remains disputable:</span><div><span style=3D"backg=
round-color:transparent;font-family:ui-monospace,SFMono-Regular,&quot;SF Mo=
no&quot;,Menlo,Consolas,&quot;Liberation Mono&quot;,monospace;color:rgb(36,=
41,47);font-size:11.9px"><br></span></div><div><a href=3D"https://github.co=
m/golang/go/issues/50267">https://github.com/golang/go/issues/50267</a><spa=
n style=3D"background-color:transparent;font-family:ui-monospace,SFMono-Reg=
ular,&quot;SF Mono&quot;,Menlo,Consolas,&quot;Liberation Mono&quot;,monospa=
ce;color:rgb(36,41,47);font-size:11.9px"><br></span></div><div><a href=3D"h=
ttps://github.com/neovim/neovim/issues/16623">https://github.com/neovim/neo=
vim/issues/16623</a><br></div><div><br></div><div>However, the gopls-team c=
onsidered a &quot;chatty&quot; behavior of the language server to be better=
 anyhow. To always send diagnostics is now the default, yet not released as=
 of gopls 1.10.1</div><div><br></div><div><a href=3D"https://github.com/gol=
ang/tools/commit/ec743893cd01c9423aaae4513b092c4c4c06f0f4">https://github.c=
om/golang/tools/commit/ec743893cd01c9423aaae4513b092c4c4c06f0f4</a><br></di=
v><div><a href=3D"https://groups.google.com/g/golang-checkins/c/tt8Ig_UsKtE=
">https://groups.google.com/g/golang-checkins/c/tt8Ig_UsKtE</a><br></div><d=
iv><br></div><div>To use the yet unreleased feature from gopls@HEAD which w=
orks, follow</div><div><br></div><div><a href=3D"https://github.com/golang/=
tools/blob/master/gopls/doc/advanced.md#unstable-versions">https://github.c=
om/golang/tools/blob/master/gopls/doc/advanced.md#unstable-versions</a><br>=
</div><div><br></div><div>This bug report may be closed, reported for refer=
ence.</div><div><br></div></div><br><div class=3D"gmail_quote"><div dir=3D"=
ltr" class=3D"gmail_attr">Am So., 11. Dez. 2022 um 13:45=C2=A0Uhr schrieb J=
ohann H=C3=B6chtl &lt;<a href=3D"mailto:johann.hoechtl@HIDDEN">johann.ho=
echtl@HIDDEN</a>&gt;:<br></div><blockquote class=3D"gmail_quote" style=
=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding=
-left:1ex"><div dir=3D"ltr">I dug deeper into the problem:<div><br></div><d=
iv>* When I open a very small golang-project, eglot interconnects correctly=
 with gopls</div><div>* When I open a larger golang-project, eglot fails to=
 communicate with gopls. In fact, it fails to direct gopls to load the proj=
ect as gopls stays at a very small memory footprint.</div><div><br></div><d=
iv>When I uninstall go-mode OR find-file-literally *.go and later enable eg=
lot,=C2=A0gopls=C2=A0 is correctly=C2=A0&quot;directed&quot; to load the pr=
oject, because memory consumption is much higher. In this case it also repo=
rts back to eglot &quot;loading packages&quot; and &quot;finished loading p=
ackages&quot;.</div><div><br></div><div>Sidenote: However I cannot interact=
 any further with the LS as eglot doens&#39;t=C2=A0consider any buffer as m=
anaged:</div><div><br></div><div>cl-no-applicable-method: No applicable met=
hod: eglot--managed-buffers, nil<br>eldoc error: (jsonrpc-error No current =
JSON-RPC connection (jsonrpc-error-code . 32603) (jsonrpc-error-message . N=
o current JSON-RPC connection))<br>mouse-minibuffer-check: Minibuffer windo=
w is not active<br></div><div><br></div><div>but I guess this is because th=
e buffer has no mode eglot considers to be supported.</div><div><br></div><=
div>Sidenote2: If I enable go-mode for this buffer (thus triggering eglot-e=
nsure in .emacs) , a second gopls process is spawned yet without communicat=
ion between=C2=A0eglot and gopls.</div></div>
</blockquote></div>

--0000000000005e653d05ef8d4db2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59883; Package emacs. Full text available.

Message received at 59883 <at> debbugs.gnu.org:


Received: (at 59883) by debbugs.gnu.org; 11 Dec 2022 12:46:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 07:46:18 2022
Received: from localhost ([127.0.0.1]:46394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p4Lij-00040f-K9
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2022 07:46:17 -0500
Received: from mail-oi1-f179.google.com ([209.85.167.179]:44017)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johann.hoechtl@HIDDEN>) id 1p4Lih-00040Z-8W
 for 59883 <at> debbugs.gnu.org; Sun, 11 Dec 2022 07:46:15 -0500
Received: by mail-oi1-f179.google.com with SMTP id s187so8812961oie.10
 for <59883 <at> debbugs.gnu.org>; Sun, 11 Dec 2022 04:46:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=7CP18SU1YFnpyoZhOR+lY77587YXfyZU1SpH7bOQXj4=;
 b=SHoOAOrR6/xuTL62vSVxGCyy8sWT6scgK1GO3VHE3RY0P5/iTwKoWZwZzEHLVuBfnP
 13Aqh6kMyGWHUV6+HL2nzipz7MnHl/8En+pGtRC1MSQAbT9+04/+N6w6eYYLmwpMm81f
 F4YcOka4uhrxiDcX65ZXvp0OrZ5LdaiHpEMR72b3IACYJlodpzbPQs7UTVbEbKC4jC/N
 kJop4HPj4tVaojN89APmTDKndyvFpWrks3egslhe9EKhEy2ilhoNDkgBijJOiSxiuLa7
 dlI2sQgcoslJu9rGBjlry8tYO4Qv+i9h4W9nx++P1fvHmamDQuPU7HZEdLvEw+hwbHbI
 u4ZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=7CP18SU1YFnpyoZhOR+lY77587YXfyZU1SpH7bOQXj4=;
 b=n/yw96ik2G3ZZ980fwZ2bI8B89ROlbexANZDa7Th2tAyvzN03tn1j3ybshVQrbuU8p
 51Jor5Ih2tFdYSxpgLrn0JX5gJs5bOM1HA8Z8keVfhe5mLRa8XEfMusFgrymWWjC/MUZ
 1TIVb/ALq9wHedKYk9lguKyijG8bwaJxzXwYNVlpiR2BIctLkntP3uguqfydZ9rp41Ld
 m9gc8Ns506aH/Jc6sjmzTSZD5YS6xaZeamP4q1Iq2x4DWX9V3W+/e5XKFBeb1/RvdHLV
 Pc8r3SI5XKNdSg50P8rC7c7PAq614pD0R0S3Q6Mih7uTwLBydlivOtTSYWptAjEjdVeY
 cU2w==
X-Gm-Message-State: ANoB5pmqkfxLALguY3jPUsc/bnwWOFrIa0opswXoQ/U1UvjWqcHvJZ0I
 utvHjcRMg84WkE5LnPKLvznRxTr90vT7UHjiMBmpuctDyg==
X-Google-Smtp-Source: AA0mqf7pC9O7YpnTvCjq6AqFllGbtrQbBboduPvPxxHDjTt8droT3xSg3G1bnYHT8X4TJU4AlKW0UtNw+RsI4aGqOdc=
X-Received: by 2002:a05:6808:51:b0:359:f091:104 with SMTP id
 v17-20020a056808005100b00359f0910104mr51199026oic.274.1670762769390; Sun, 11
 Dec 2022 04:46:09 -0800 (PST)
MIME-Version: 1.0
From: =?UTF-8?Q?Johann_H=C3=B6chtl?= <johann.hoechtl@HIDDEN>
Date: Sun, 11 Dec 2022 13:45:59 +0100
Message-ID: <CAH4isRxzz-tCwMuLc5ZeKmW1JRsuduyzyy9znYP8KCDTRAKq0Q@HIDDEN>
Subject: 
To: 59883 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000005f9efd05ef8cc567"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I dug deeper into the problem: * When I open a very small
 golang-project, eglot interconnects correctly with gopls * When I open a larger
 golang-project, eglot fails to communicate with gopls. In fact, it fails
 to direct gopls to l [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.179 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (johann.hoechtl[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.179 listed in wl.mailspike.net]
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 59883
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--0000000000005f9efd05ef8cc567
Content-Type: text/plain; charset="UTF-8"

I dug deeper into the problem:

* When I open a very small golang-project, eglot interconnects correctly
with gopls
* When I open a larger golang-project, eglot fails to communicate with
gopls. In fact, it fails to direct gopls to load the project as gopls stays
at a very small memory footprint.

When I uninstall go-mode OR find-file-literally *.go and later enable
eglot, gopls  is correctly "directed" to load the project, because memory
consumption is much higher. In this case it also reports back to eglot
"loading packages" and "finished loading packages".

Sidenote: However I cannot interact any further with the LS as eglot
doens't consider any buffer as managed:

cl-no-applicable-method: No applicable method: eglot--managed-buffers, nil
eldoc error: (jsonrpc-error No current JSON-RPC connection
(jsonrpc-error-code . 32603) (jsonrpc-error-message . No current JSON-RPC
connection))
mouse-minibuffer-check: Minibuffer window is not active

but I guess this is because the buffer has no mode eglot considers to be
supported.

Sidenote2: If I enable go-mode for this buffer (thus triggering
eglot-ensure in .emacs) , a second gopls process is spawned yet without
communication between eglot and gopls.

--0000000000005f9efd05ef8cc567
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I dug deeper into the problem:<div><br></div><div>* When I=
 open a very small golang-project, eglot interconnects correctly with gopls=
</div><div>* When I open a larger golang-project, eglot fails to communicat=
e with gopls. In fact, it fails to direct gopls to load the project as gopl=
s stays at a very small memory footprint.</div><div><br></div><div>When I u=
ninstall go-mode OR find-file-literally *.go and later enable eglot,=C2=A0g=
opls=C2=A0 is correctly=C2=A0&quot;directed&quot; to load the project, beca=
use memory consumption is much higher. In this case it also reports back to=
 eglot &quot;loading packages&quot; and &quot;finished loading packages&quo=
t;.</div><div><br></div><div>Sidenote: However I cannot interact any furthe=
r with the LS as eglot doens&#39;t=C2=A0consider any buffer as managed:</di=
v><div><br></div><div>cl-no-applicable-method: No applicable method: eglot-=
-managed-buffers, nil<br>eldoc error: (jsonrpc-error No current JSON-RPC co=
nnection (jsonrpc-error-code . 32603) (jsonrpc-error-message . No current J=
SON-RPC connection))<br>mouse-minibuffer-check: Minibuffer window is not ac=
tive<br></div><div><br></div><div>but I guess this is because the buffer ha=
s no mode eglot considers to be supported.</div><div><br></div><div>Sidenot=
e2: If I enable go-mode for this buffer (thus triggering eglot-ensure in .e=
macs) , a second gopls process is spawned yet without communication between=
=C2=A0eglot and gopls.</div></div>

--0000000000005f9efd05ef8cc567--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59883; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Dec 2022 13:50:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 07 08:50:53 2022
Received: from localhost ([127.0.0.1]:50462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p2up2-00016w-P8
	for submit <at> debbugs.gnu.org; Wed, 07 Dec 2022 08:50:53 -0500
Received: from lists.gnu.org ([209.51.188.17]:51774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johann.hoechtl@HIDDEN>) id 1p2up0-00016q-W0
 for submit <at> debbugs.gnu.org; Wed, 07 Dec 2022 08:50:51 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <johann.hoechtl@HIDDEN>)
 id 1p2up0-0007Nl-IU
 for bug-gnu-emacs@HIDDEN; Wed, 07 Dec 2022 08:50:50 -0500
Received: from mail-oi1-x22d.google.com ([2607:f8b0:4864:20::22d])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <johann.hoechtl@HIDDEN>)
 id 1p2uoy-0003dm-HT
 for bug-gnu-emacs@HIDDEN; Wed, 07 Dec 2022 08:50:50 -0500
Received: by mail-oi1-x22d.google.com with SMTP id v70so12386305oie.3
 for <bug-gnu-emacs@HIDDEN>; Wed, 07 Dec 2022 05:50:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=JkX4iD5nj+E39TIFWl/iw+KvcBtkOukwYcyKs9zZ/R0=;
 b=MyTBC/v3powQwHwEXM6SMAI56Ft4vIgulmxMxQNdHabN0YpuUXakjJIOtPxzAUqaI9
 pTSEB1cGMi+xgxsVkCxp3tGA1jwcMTK+JND6+oCQThtVE8no/unS86baPEjsX7c/+PtE
 L5BCyErc/uNLStGhCpZhHVBu2Wc6zez8nBp0W0sgSe2Vr3wnRRbRDcBEx6V75d/Zlw9F
 fxHLXk3Xap48mBQRZokxOkYdSXGD20nlr6OgBoEZermqDNTgwQOfrfBwwc6QeTCQW4dY
 kZPYYF7+o7TLp3VUKdj59dqfXhXqMfLjpjRuQx3ue7nWdYen5oEWP6KjZERuwM9jm2kU
 /KHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=JkX4iD5nj+E39TIFWl/iw+KvcBtkOukwYcyKs9zZ/R0=;
 b=rsjE3ZgbdLtOT6mhNFOLTWbdHRFmln5/5L46lYX1A6Mv3Wv+Y9Y8v5qt3O8UaNcmrq
 wVmYYJkYV380FqYqxuXh/U4Lnp6mWL0mBPLuzFKuOXcz5BVXsyysjnu+kFL4cpAl/XVw
 DufxqlDDVmII65/gDWR6AGCgHS7HAuJJ/f5SHoi023C8wyxdgGJf90eI/w8uCjuF5RU8
 9d+VrH9EnAcR2/VIlekDfoqqkmN5gDx5zTSBd3+/V/Zc58gEVzJwE8n3h9h9cmbjdYtq
 J2vUZLkGdA74jA5iP19+RvlwsJbaPOHi9u/4+auJSg9U1FS2/DDRQNuljsMHyH1hAxPH
 GaOg==
X-Gm-Message-State: ANoB5pkEOg7EIqLH6MTbLHgtcMvm4JfMyYOOtWxWdROKyG5aU9thEk2j
 rNadO/K06iVPLz1wgNhSMm8Pi2vACYLrCw5ioIeUjK1qvg==
X-Google-Smtp-Source: AA0mqf6zxTHz5znzkiu8P+Md1sjd/Zax4Sr9l7ZnfXt4eb2wjFOxGKm+Qva/temlDE3xd6D66/uXLMfnQfS2cfD/XUw=
X-Received: by 2002:a54:4612:0:b0:35b:cebf:b078 with SMTP id
 p18-20020a544612000000b0035bcebfb078mr17087919oip.24.1670421046613; Wed, 07
 Dec 2022 05:50:46 -0800 (PST)
MIME-Version: 1.0
From: =?UTF-8?Q?Johann_H=C3=B6chtl?= <johann.hoechtl@HIDDEN>
Date: Wed, 7 Dec 2022 14:50:35 +0100
Message-ID: <CAH4isRx67PFkCvNH=HjLFY5t4hm3_aJzDk55oEHP6xzeMdAffA@HIDDEN>
Subject: Eglot gopls failed to connect
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000001bdab005ef3d35ff"
Received-SPF: pass client-ip=2607:f8b0:4864:20::22d;
 envelope-from=johann.hoechtl@HIDDEN; helo=mail-oi1-x22d.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000001bdab005ef3d35ff
Content-Type: text/plain; charset="UTF-8"

Using Emacs build
https://github.com/kiennq/emacs-build/releases/tag/v29.169.20221201.4a23421


has builtin eglot: yes

Running under git bash,Windows 10, German

I am developing golang, the go LSP server is gopls. Installed @latest from

golang.org/x/tools/gopls v0.10.1
    golang.org/x/tools/gopls@HIDDEN
h1:JoHe17pdZ8Vsa24/GUO8iTVTKPh0EOBiWpPop7XJybI=

Messages are:

[eglot] Connected! Server `gopls' now managing `(go-mode go-dot-mod-mode
go-dot-work-mode)' buffers in project `kennzahlenmonitor'.
Error in menu-bar-update-hook (imenu-update-menubar): (jsonrpc-error
"request id=2 failed:" (jsonrpc-error-message . "Timed out"))


The EGLOT Buffer has these entries:
[client-notification] Wed Dec  7 14:43:57 2022:
(:jsonrpc "2.0" :method "textDocument/didOpen" :params
 (:textDocument
  (:uri
"file:///c%3A/Users/HoechtlJ/code/kennzahlenmonitor/kennzahlenmonitor/units/serviceware/serviceware.go"
:version 0 :languageId "go" :text
 [... snip ...]

[client-request] (id:6) Wed Dec  7 14:43:58 2022:
(:jsonrpc "2.0" :id 6 :method "textDocument/documentSymbol" :params
 (:textDocument
  (:uri
"file:///c%3A/Users/HoechtlJ/code/kennzahlenmonitor/kennzahlenmonitor/units/serviceware/serviceware.go")))
[client-request] (id:7) Wed Dec  7 14:44:13 2022:
(:jsonrpc "2.0" :id 7 :method "textDocument/signatureHelp" :params
 (:textDocument
  (:uri
"file:///c%3A/Users/HoechtlJ/code/kennzahlenmonitor/kennzahlenmonitor/units/serviceware/serviceware.go")
  :position
  (:line 0 :character 0)))
[client-request] (id:8) Wed Dec  7 14:44:13 2022:
(:jsonrpc "2.0" :id 8 :method "textDocument/hover" :params
 (:textDocument
  (:uri
"file:///c%3A/Users/HoechtlJ/code/kennzahlenmonitor/kennzahlenmonitor/units/serviceware/serviceware.go")
  :position
  (:line 0 :character 0)))
[client-request] (id:9) Wed Dec  7 14:44:13 2022:
(:jsonrpc "2.0" :id 9 :method "textDocument/documentHighlight" :params
 (:textDocument
  (:uri
"file:///c%3A/Users/HoechtlJ/code/kennzahlenmonitor/kennzahlenmonitor/units/serviceware/serviceware.go")
  :position
  (:line 0 :character 0)))
[internal] (id:7) Wed Dec  7 14:44:23 2022:
(:timed-out :textDocument/signatureHelp :id 7 :params
(:textDocument
(:uri
"file:///c%3A/Users/HoechtlJ/code/kennzahlenmonitor/kennzahlenmonitor/units/serviceware/serviceware.go")
:position
(:line 0 :character 0)))
[internal] (id:8) Wed Dec  7 14:44:23 2022:
(:timed-out :textDocument/hover :id 8 :params
(:textDocument
(:uri
"file:///c%3A/Users/HoechtlJ/code/kennzahlenmonitor/kennzahlenmonitor/units/serviceware/serviceware.go")
:position
(:line 0 :character 0)))
[internal] (id:9) Wed Dec  7 14:44:23 2022:
(:timed-out :textDocument/documentHighlight :id 9 :params
(:textDocument
(:uri
"file:///c%3A/Users/HoechtlJ/code/kennzahlenmonitor/kennzahlenmonitor/units/serviceware/serviceware.go")
:position
(:line 0 :character 0)))

Symptom is, that the LSP server is running but actually not in a working
state. Memory consumption is stable (low) but the server doens't seem to
respond to request.

If the project is very small, the server works.

It seems the server is not yet ready scanning packages yet has to answer
requests.

Under some very rare circumstances even on a large codebase gopls works.
Icouldn't yet identify a pattern when this is the case.

--0000000000001bdab005ef3d35ff
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Using Emacs build=C2=A0<a href=3D"https://github.com/kienn=
q/emacs-build/releases/tag/v29.169.20221201.4a23421">https://github.com/kie=
nnq/emacs-build/releases/tag/v29.169.20221201.4a23421</a><div><br></div><di=
v><br></div><div>has builtin=C2=A0eglot: yes<br></div><div><br></div><div>R=
unning under git bash,Windows 10, German</div><div><br></div><div>I am deve=
loping golang, the go LSP server is gopls. Installed=C2=A0<a class=3D"gmail=
_plusreply" id=3D"plusReplyChip-0">@latest from=C2=A0</a></div><div><a clas=
s=3D"gmail_plusreply"><br></a></div><div><a class=3D"gmail_plusreply">golan=
g.org/x/tools/gopls v0.10.1<br>=C2=A0 =C2=A0 golang.org/x/tools/gopls@HIDDEN=
.1 h1:JoHe17pdZ8Vsa24/GUO8iTVTKPh0EOBiWpPop7XJybI=3D<br><br></a></div><div>=
Messages are:</div><div><br></div><div>[eglot] Connected! Server `gopls&#39=
; now managing `(go-mode go-dot-mod-mode go-dot-work-mode)&#39; buffers in =
project `kennzahlenmonitor&#39;.<br>Error in menu-bar-update-hook (imenu-up=
date-menubar): (jsonrpc-error &quot;request id=3D2 failed:&quot; (jsonrpc-e=
rror-message . &quot;Timed out&quot;))<br></div><div><br></div><div><br></d=
iv><div>The EGLOT Buffer has these entries:</div><div>[client-notification]=
 Wed Dec =C2=A07 14:43:57 2022:<br>(:jsonrpc &quot;2.0&quot; :method &quot;=
textDocument/didOpen&quot; :params<br>		 =C2=A0(:textDocument<br>		 =C2=A0 =
(:uri &quot;file:///c%3A/Users/HoechtlJ/code/kennzahlenmonitor/kennzahlenmo=
nitor/units/serviceware/serviceware.go&quot; :version 0 :languageId &quot;g=
o&quot; :text<br></div><div>=C2=A0[... snip ...]</div><div><br></div><div>[=
client-request] (id:6) Wed Dec =C2=A07 14:43:58 2022:<br>(:jsonrpc &quot;2.=
0&quot; :id 6 :method &quot;textDocument/documentSymbol&quot; :params<br>		=
 =C2=A0(:textDocument<br>		 =C2=A0 (:uri &quot;file:///c%3A/Users/HoechtlJ/=
code/kennzahlenmonitor/kennzahlenmonitor/units/serviceware/serviceware.go&q=
uot;)))<br>[client-request] (id:7) Wed Dec =C2=A07 14:44:13 2022:<br>(:json=
rpc &quot;2.0&quot; :id 7 :method &quot;textDocument/signatureHelp&quot; :p=
arams<br>		 =C2=A0(:textDocument<br>		 =C2=A0 (:uri &quot;file:///c%3A/User=
s/HoechtlJ/code/kennzahlenmonitor/kennzahlenmonitor/units/serviceware/servi=
ceware.go&quot;)<br>		 =C2=A0 :position<br>		 =C2=A0 (:line 0 :character 0)=
))<br>[client-request] (id:8) Wed Dec =C2=A07 14:44:13 2022:<br>(:jsonrpc &=
quot;2.0&quot; :id 8 :method &quot;textDocument/hover&quot; :params<br>		 =
=C2=A0(:textDocument<br>		 =C2=A0 (:uri &quot;file:///c%3A/Users/HoechtlJ/c=
ode/kennzahlenmonitor/kennzahlenmonitor/units/serviceware/serviceware.go&qu=
ot;)<br>		 =C2=A0 :position<br>		 =C2=A0 (:line 0 :character 0)))<br>[clien=
t-request] (id:9) Wed Dec =C2=A07 14:44:13 2022:<br>(:jsonrpc &quot;2.0&quo=
t; :id 9 :method &quot;textDocument/documentHighlight&quot; :params<br>		 =
=C2=A0(:textDocument<br>		 =C2=A0 (:uri &quot;file:///c%3A/Users/HoechtlJ/c=
ode/kennzahlenmonitor/kennzahlenmonitor/units/serviceware/serviceware.go&qu=
ot;)<br>		 =C2=A0 :position<br>		 =C2=A0 (:line 0 :character 0)))<br>[inter=
nal] (id:7) Wed Dec =C2=A07 14:44:23 2022:<br>(:timed-out :textDocument/sig=
natureHelp :id 7 :params<br>			(:textDocument<br>			 (:uri &quot;file:///c%=
3A/Users/HoechtlJ/code/kennzahlenmonitor/kennzahlenmonitor/units/servicewar=
e/serviceware.go&quot;)<br>			 :position<br>			 (:line 0 :character 0)))<br=
>[internal] (id:8) Wed Dec =C2=A07 14:44:23 2022:<br>(:timed-out :textDocum=
ent/hover :id 8 :params<br>			(:textDocument<br>			 (:uri &quot;file:///c%3=
A/Users/HoechtlJ/code/kennzahlenmonitor/kennzahlenmonitor/units/serviceware=
/serviceware.go&quot;)<br>			 :position<br>			 (:line 0 :character 0)))<br>=
[internal] (id:9) Wed Dec =C2=A07 14:44:23 2022:<br>(:timed-out :textDocume=
nt/documentHighlight :id 9 :params<br>			(:textDocument<br>			 (:uri &quot;=
file:///c%3A/Users/HoechtlJ/code/kennzahlenmonitor/kennzahlenmonitor/units/=
serviceware/serviceware.go&quot;)<br>			 :position<br>			 (:line 0 :charact=
er 0)))<br></div><div><br></div><div>Symptom is, that the LSP server is run=
ning but actually not in a working state. Memory consumption is stable (low=
) but the server doens&#39;t=C2=A0seem to respond to request.</div><div><br=
></div><div>If the project is very small, the server works.</div><div><br><=
/div><div>It seems the server is not yet ready scanning packages yet has to=
 answer requests.</div><div><br></div><div>Under some very rare circumstanc=
es even on a large codebase gopls works. Icouldn&#39;t yet identify a patte=
rn when this is the case.</div></div>

--0000000000001bdab005ef3d35ff--




Acknowledgement sent to Johann Höchtl <johann.hoechtl@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#59883; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 12 Dec 2022 08:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.